Skip to main content
POST
Domain keyword analysis

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

project_id
string<uuid> | null

Project ID for search history

Body

application/json

Request body for fetching keywords that a domain ranks for.

domain
string
required

Domain to analyze (e.g., 'example.com'). Protocol stripped automatically.

Required string length: 1 - 255
location_code
integer
required

DataForSEO location code (e.g. 2840 = United States).

language_code
string
required

Language code (e.g., 'en', 'de', 'fr').

Maximum string length: 10
limit
integer
default:100

Maximum number of keywords to return.

Required range: 1 <= x <= 1000

Response

Successful Response

success
boolean
default:true
data
KeywordMetrics · object[] | null